---
api: 'Business API'
---

# Retrieve a list of accounting categories

Get available accounting categories based on the provided query criteria.

:::note
The API returns a maximum of 500 accounting categories per request. 
The default page size is 100.
:::

The accounting categories are sorted by the `created_at` date in reverse chronological order, and they're **paginated**.
The page size, that is, the maximum number of accounting categories returned per page is specified by the `limit` parameter. 
- If the number of results exceeds the page size, the response also returns a cursor for the next page under `next_page_token`.        
  To get the next page of results, make a new request using that `next_page_token` value in `page_token`.
- If the number of results is smaller than the page size, `next_page_token` is not returned.

For more details, see the guides: [Manage accounting settings](/docs/guides/manage-accounts/accounting/manage-accounting-settings) and [Manage accounting categories](/docs/guides/manage-accounts/accounting/manage-accounting-categories).

## Endpoint

GET `/accounting-categories`

## Parameters

### query parameters

- `limit` (integer, optional)
  The page size, that is, the maximum number of accounting categories to return per page.
  
  To get the next page of results, use `page_token`.

- `page_token` (string, optional)

## Returns

### 200

List of accounting categories and the next page token if the number of results exceeds the page size

#### Response attributes

- `next_page_token` (string, optional)
    Cursor for the next page. 
    Used for pagination when the total number of results exceeds the maximum number per page.
    
    To get the next page of results, make a new request and set `page_token` to the `next_page_token` value returned in the previous response.
    :::note
    If there are no more results to fetch, `next_page_token` is not returned in the response.
    :::
- `accounting_categories` (array of object)
    The list of accounting categories.
  - `accounting_categories[].id` (string)
      The unique ID of the accounting category.
  - `accounting_categories[].name` (string)
      The name of the accounting category.
  - `accounting_categories[].code` (string, optional)
      The code of the accounting category.
  - `accounting_categories[].created_at` (string)
      The date and time the accounting category was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
  - `accounting_categories[].updated_at` (string)
      The date and time the accounting category was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
  - `accounting_categories[].default_tax_rate_id` (string, optional)
      The ID of the default [tax rate](/docs/api/business#get-tax-rate) applied to items in this accounting category unless overridden for a specific item.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request  Returned, for example, when a required parameter is missing or malformatted. |
| 401 | Unauthorized – authentication credentials are missing or invalid  Returned when the request was not fulfilled because authentication has failed or has not been provided. |
| 403 | Action forbidden - insufficient permissions to perform this action  Returned, for example, when you don't have permissions necessary to perform this action. |
| 429 | Too many requests  Returned, for example, when the rate limit has been exceeded. If the response includes the `Retry-After` instruction, please respect it and refrain from earlier retry attempts. |
| 500 | Internal server error  An unexpected application error occurred. |
| 503 | Service Unavailable  The system is temporarily unavailable. If the response includes the `Retry-After` header instruction, please respect it and refrain from earlier retry attempts. |
